Ce Forum passera en lecture seule en janvier 2020
Image
Merci de vous rendre sur https://community.jeedom.com maintenant pour vos prochains postes ;)

Antenne BLEA sur RPI3B+ Octopi

Répondre
stefane26
Timide
Messages : 108
Inscription : 18 sept. 2017, 14:25
Localisation : Montélimar

Antenne BLEA sur RPI3B+ Octopi

Message par stefane26 » 25 août 2019, 12:30

Bonjour
Je souhaite installer une antenne déportée sur un RPI3B+ équipé d'un dongle USB BlueTooth mais donc l'OS est Octopi (serveur d'impression pour imprimante 3D)
Je fais l'installation de cette antenne depuis jeedom : copie des fichier et lancement des dépendances : je suis l'avancement sur RPI en éditant le fichier tmp/dependancy_blea_in_progress.
Lorsque ce fichier temporaire disparaît : c'est que les dépendance sont lancées. Je clique sur le bouton "lancer" mais rien ne se passe : l'icone reste rouge pas de coeur vert affiché.

J'ai fait cette expérience avec un autre RPI3B+, le même dongle mais avec la distribution Raspbian : ca fonctionne sans problème.

Je pense qu'i doit manquer des dépendances dans l'OS Octopi, mais je ne trouve pas lesquelles.
Merci pour votre aide
Stéphane

Mips2648
Actif
Messages : 932
Inscription : 08 sept. 2018, 17:09

Re: Antenne BLEA sur RPI3B+ Octopi

Message par Mips2648 » 26 août 2019, 11:00

Bonjour,
Et que dis le log d'install des dépendances sur le pi avec octopi?
Peux-tu le copier ici?
la réponse à ta question si trouve certainement.
Développeur et auteur des plugins suivants, (entre autre Arlo, Solaredge, Design Image, Gotify...) et aidant sur plein d'autres!

Si vous voulez contribuer, un don fait toujours plaisir : https://paypal.me/mips2648

stefane26
Timide
Messages : 108
Inscription : 18 sept. 2017, 14:25
Localisation : Montélimar

Re: Antenne BLEA sur RPI3B+ Octopi

Message par stefane26 » 01 sept. 2019, 10:28

Bonjour
Désolé pour ma réponse tardive, mais j'étais en déplacement toute la semaine.
Je viens de regarder les log : ils sont vides.
De plus, le plugin BLEA est NOK : est-ce suite à la mise à jour?

Mips2648
Actif
Messages : 932
Inscription : 08 sept. 2018, 17:09

Re: Antenne BLEA sur RPI3B+ Octopi

Message par Mips2648 » 02 sept. 2019, 10:20

Si tu as mis le plugin a jour BLEA, il faut réinstaller les dépendances (et cela peut être très long, +30min) car beaucoup de changement.

Par contre, concertant l'antenne, je ne comprend pas comment les logs de dépendances peuvent être vides alors que tu dis suivre l'install avec le "in_progress"... si il y avait un "in_progress" il y a un log de l'install, soit sur l'antenne soit sur jeedom s'il a été transféré (ou alors tu as redémarré l'antenne entre temps et le fichier a été supprimé du /tmp)
Développeur et auteur des plugins suivants, (entre autre Arlo, Solaredge, Design Image, Gotify...) et aidant sur plein d'autres!

Si vous voulez contribuer, un don fait toujours plaisir : https://paypal.me/mips2648

stefane26
Timide
Messages : 108
Inscription : 18 sept. 2017, 14:25
Localisation : Montélimar

Re: Antenne BLEA sur RPI3B+ Octopi

Message par stefane26 » 02 sept. 2019, 11:38

J'ai tenté de réinstaller les dépendances de BLEA : mais je suis toujours en erreur
Capture.PNG
Capture.PNG (242.11 Kio) Consulté 291 fois

Mips2648
Actif
Messages : 932
Inscription : 08 sept. 2018, 17:09

Re: Antenne BLEA sur RPI3B+ Octopi

Message par Mips2648 » 02 sept. 2019, 12:27

Mais donc là c'est sur ton jeedom, pas sur le pi avec Octopi? ou est-ce le même ?!?

Ton jeedom est sur quel version de debian?
peux-tu montrer le log "blea_update" ?

ps: je vois sur ta capture le log de dependance de l'octopi... "blea_rpi3b+ocotpi_dependancy" --> est-il vide?
Développeur et auteur des plugins suivants, (entre autre Arlo, Solaredge, Design Image, Gotify...) et aidant sur plein d'autres!

Si vous voulez contribuer, un don fait toujours plaisir : https://paypal.me/mips2648

stefane26
Timide
Messages : 108
Inscription : 18 sept. 2017, 14:25
Localisation : Montélimar

Re: Antenne BLEA sur RPI3B+ Octopi

Message par stefane26 » 02 sept. 2019, 12:38

Merci pour l'aide.
BLEA est installé sur une Box Smart qui doit donc tourner sur une bonne version de Debian.
Mon jeedom principal se trouve sur un NUC Hystou virtualisé tournant sous Debian 9 sans Blea mais une autre VM sur ce.meme NUC sert d'antenne déportée. J'au une autre antenne déportée sur un RPI3B+ sous Raspbian et une dernière antenne déportée sous un autre Rpi3B+ avec Octopi (celle-ci ne fonctionne pas).

Depuis une mise a jour de Blea les dépendances sont NOK (sur le jeedom smart). Pourtant j'ai toujours la détection de mes NUTs qui fonctionne.
Je n'ai pas accès à.Jeedom pour l'instant et je joindrai mes logiciels dans l'après-midi
Stephane

Envoyé de mon SM-G973F en utilisant Tapatalk


stefane26
Timide
Messages : 108
Inscription : 18 sept. 2017, 14:25
Localisation : Montélimar

Re: Antenne BLEA sur RPI3B+ Octopi

Message par stefane26 » 02 sept. 2019, 16:02

Be-bonjour
Ci-dessous le log "blea_update"

Code : Tout sélectionner

Err http://ftp.debian.org jessie-proposed-updates/main Sources
404  Not Found [IP: 2001:67c:2564:a119::148:12 80]
Err http://ftp.debian.org jessie-proposed-updates/contrib arm64 Packages
404  Not Found [IP: 2001:67c:2564:a119::148:12 80]
Err http://ftp.debian.org jessie-proposed-updates/non-free arm64 Packages
404  Not Found [IP: 2001:67c:2564:a119::148:12 80]
Err http://ftp.debian.org jessie-proposed-updates/main arm64 Packages
404  Not Found [IP: 2001:67c:2564:a119::148:12 80]
Hit http://oph.mdrjr.net all InRelease
Hit http://oph.mdrjr.net jessie InRelease
Get:4 http://oph.mdrjr.net all/c2 arm64 Packages
Hit http://oph.mdrjr.net all/c2 arm64 Packages
Get:5 http://oph.mdrjr.net all/main arm64 Packages
Get:6 http://oph.mdrjr.net all/testing arm64 Packages
Get:7 http://oph.mdrjr.net all/c2 Translation-en_US [324 B]
Hit http://oph.mdrjr.net all/main arm64 Packages
Get:8 http://oph.mdrjr.net all/c2 Translation-en [321 B]
Hit http://oph.mdrjr.net all/testing arm64 Packages
Get:9 http://oph.mdrjr.net all/main Translation-en_US [326 B]
Get:10 http://oph.mdrjr.net all/main Translation-en [323 B]
Get:11 http://oph.mdrjr.net all/testing Translation-en_US [329 B]
Get:12 http://oph.mdrjr.net all/testing Translation-en [326 B]
Get:13 http://oph.mdrjr.net jessie/backports arm64 Packages
Get:14 http://oph.mdrjr.net jessie/main arm64 Packages
Get:15 http://oph.mdrjr.net jessie/backports Translation-en_US [334 B]
Get:16 http://oph.mdrjr.net jessie/backports Translation-en [331 B]
Get:17 http://oph.mdrjr.net jessie/main Translation-en_US [329 B]
Hit http://oph.mdrjr.net jessie/backports arm64 Packages
Get:18 http://oph.mdrjr.net jessie/main Translation-en [326 B]
Hit http://oph.mdrjr.net jessie/main arm64 Packages
Get:19 http://oph.mdrjr.net all/c2 Translation-en_US [324 B]
Get:20 http://oph.mdrjr.net all/c2 Translation-en [321 B]
Get:21 http://oph.mdrjr.net all/main Translation-en_US [326 B]
Get:22 http://oph.mdrjr.net all/main Translation-en [323 B]
Get:23 http://oph.mdrjr.net all/testing Translation-en_US [329 B]
Get:24 http://oph.mdrjr.net all/testing Translation-en [326 B]
Get:25 http://oph.mdrjr.net jessie/backports Translation-en_US [334 B]
Get:26 http://oph.mdrjr.net jessie/backports Translation-en [331 B]
Get:27 http://oph.mdrjr.net jessie/main Translation-en_US [329 B]
Get:28 http://oph.mdrjr.net jessie/main Translation-en [326 B]
Get:29 http://oph.mdrjr.net all/c2 Translation-en_US [324 B]
Get:30 http://oph.mdrjr.net all/c2 Translation-en [321 B]
Get:31 http://oph.mdrjr.net all/main Translation-en_US [326 B]
Get:32 http://oph.mdrjr.net all/main Translation-en [323 B]
Get:33 http://oph.mdrjr.net all/testing Translation-en_US [329 B]
Get:34 http://oph.mdrjr.net all/testing Translation-en [326 B]
Get:35 http://oph.mdrjr.net jessie/backports Translation-en_US [334 B]
Get:36 http://oph.mdrjr.net jessie/backports Translation-en [331 B]
Get:37 http://oph.mdrjr.net jessie/main Translation-en_US [329 B]
Get:38 http://oph.mdrjr.net jessie/main Translation-en [326 B]
Get:39 http://oph.mdrjr.net all/c2 Translation-en_US [324 B]
Get:40 http://oph.mdrjr.net all/c2 Translation-en [321 B]
Get:41 http://oph.mdrjr.net all/main Translation-en_US [326 B]
Get:42 http://oph.mdrjr.net all/main Translation-en [323 B]
Get:43 http://oph.mdrjr.net all/testing Translation-en_US [329 B]
Get:44 http://oph.mdrjr.net all/testing Translation-en [326 B]
Get:45 http://oph.mdrjr.net jessie/backports Translation-en_US [334 B]
Get:46 http://oph.mdrjr.net jessie/backports Translation-en [331 B]
Get:47 http://oph.mdrjr.net jessie/main Translation-en_US [329 B]
Get:48 http://oph.mdrjr.net jessie/main Translation-en [326 B]
Get:49 http://oph.mdrjr.net all/c2 Translation-en_US [324 B]
Ign http://oph.mdrjr.net all/c2 Translation-en_US
Get:50 http://oph.mdrjr.net all/c2 Translation-en [321 B]
Ign http://oph.mdrjr.net all/c2 Translation-en
Get:51 http://oph.mdrjr.net all/main Translation-en_US [326 B]
Ign http://oph.mdrjr.net all/main Translation-en_US
Get:52 http://oph.mdrjr.net all/main Translation-en [323 B]
Ign http://oph.mdrjr.net all/main Translation-en
Get:53 http://oph.mdrjr.net all/testing Translation-en_US [329 B]
Ign http://oph.mdrjr.net all/testing Translation-en_US
Get:54 http://oph.mdrjr.net all/testing Translation-en [326 B]
Ign http://oph.mdrjr.net all/testing Translation-en
Get:55 http://oph.mdrjr.net jessie/backports Translation-en_US [334 B]
Ign http://oph.mdrjr.net jessie/backports Translation-en_US
Get:56 http://oph.mdrjr.net jessie/backports Translation-en [331 B]
Ign http://oph.mdrjr.net jessie/backports Translation-en
Get:57 http://oph.mdrjr.net jessie/main Translation-en_US [329 B]
Ign http://oph.mdrjr.net jessie/main Translation-en_US
Get:58 http://oph.mdrjr.net jessie/main Translation-en [326 B]
Ign http://oph.mdrjr.net jessie/main Translation-en
Fetched 380 kB in 15s (24.2 kB/s)
W: There is no public key available for the following key IDs:
AA8E81B4331F7F50
W: Failed to fetch http://ftp.debian.org/debian/dists/jessie-updates/InRelease  Unable to find expected entry 'main/binary-arm64/Packages' in Release file (Wrong sources.list entry or malformed file)
W: Failed to fetch http://security.debian.org/dists/jessie/updates/InRelease  Unable to find expected entry 'main/binary-arm64/Packages' in Release file (Wrong sources.list entry or malformed file)
W: Failed to fetch http://ftp.debian.org/debian/dists/jessie/Release  Unable to find expected entry 'main/binary-arm64/Packages' in Release file (Wrong sources.list entry or malformed file)
W: Failed to fetch http://ftp.debian.org/debian/dists/jessie-backports/main/source/Sources  404  Not Found [IP: 2001:67c:2564:a119::148:12 80]
W: Failed to fetch http://ftp.debian.org/debian/dists/jessie-backports/contrib/source/Sources  404  Not Found [IP: 2001:67c:2564:a119::148:12 80]
W: Failed to fetch http://ftp.debian.org/debian/dists/jessie-backports/non-free/source/Sources  404  Not Found [IP: 2001:67c:2564:a119::148:12 80]
W: Failed to fetch http://ftp.debian.org/debian/dists/jessie-backports/main/binary-arm64/Packages  404  Not Found [IP: 2001:67c:2564:a119::148:12 80]
W: Failed to fetch http://ftp.debian.org/debian/dists/jessie-backports/contrib/binary-arm64/Packages  404  Not Found [IP: 2001:67c:2564:a119::148:12 80]
W: Failed to fetch http://ftp.debian.org/debian/dists/jessie-backports/non-free/binary-arm64/Packages  404  Not Found [IP: 2001:67c:2564:a119::148:12 80]
W: Failed to fetch http://ftp.debian.org/debian/dists/jessie-proposed-updates/contrib/source/Sources  404  Not Found [IP: 2001:67c:2564:a119::148:12 80]
W: Failed to fetch http://ftp.debian.org/debian/dists/jessie-proposed-updates/non-free/source/Sources  404  Not Found [IP: 2001:67c:2564:a119::148:12 80]
W: Failed to fetch http://ftp.debian.org/debian/dists/jessie-proposed-updates/main/source/Sources  404  Not Found [IP: 2001:67c:2564:a119::148:12 80]
W: Failed to fetch http://ftp.debian.org/debian/dists/jessie-proposed-updates/contrib/binary-arm64/Packages  404  Not Found [IP: 2001:67c:2564:a119::148:12 80]
W: Failed to fetch http://ftp.debian.org/debian/dists/jessie-proposed-updates/non-free/binary-arm64/Packages  404  Not Found [IP: 2001:67c:2564:a119::148:12 80]
W: Failed to fetch http://ftp.debian.org/debian/dists/jessie-proposed-updates/main/binary-arm64/Packages  404  Not Found [IP: 2001:67c:2564:a119::148:12 80]
E: Some index files failed to download. They have been ignored, or old ones used instead.
Reading package lists...
Building dependency tree...
Reading state information...
bluetooth is already the newest version.
build-essential is already the newest version.
libffi-dev is already the newest version.
python3-dev is already the newest version.
The following package was automatically installed and is no longer required:
linux-headers-3.14.29+
Use 'apt-get autoremove' to remove it.
The following extra packages will be installed:
cpp-4.9 g++-4.9 gcc-4.9 gcc-4.9-base gfortran gfortran-4.9 libatlas-dev
libatlas3-base libatomic1 libblas-common libblas-dev libblas3 libbluetooth3
libgcc-4.9-dev libgcc1 libgfortran-4.9-dev libgfortran3 libgomp1 libitm1
libssl1.0.0 libstdc++-4.9-dev libstdc++6 python3-pkg-resources
python3-urllib3
Suggested packages:
gcc-4.9-locales gcc-4.9-doc libstdc++6-4.9-dbg libgcc1-dbg libgomp1-dbg
libitm1-dbg libatomic1-dbg libasan1-dbg liblsan0-dbg libtsan0-dbg
libubsan0-dbg libcilkrts5-dbg libquadmath-dbg gfortran-doc gfortran-4.9-doc
libgfortran3-dbg libblas-doc liblapack-doc liblapack-dev liblapack-doc-man
libstdc++-4.9-doc python3-ndg-httpsclient python3-openssl python3-pyasn1
python3-socks python3-wxgtk3.0 python3-wxgtk python-setuptools-doc
Recommended packages:
libssl-doc
The following NEW packages will be installed:
gfortran gfortran-4.9 libatlas-base-dev libatlas-dev libatlas3-base
libblas-common libblas-dev libblas3 libbluetooth-dev libbluetooth3
libgfortran-4.9-dev libgfortran3 libopenjp2-7 python3-pyudev python3-serial
rfkill
The following packages will be upgraded:
cpp-4.9 g++-4.9 gcc-4.9 gcc-4.9-base libatomic1 libgcc-4.9-dev libgcc1
libgomp1 libitm1 libssl-dev libssl1.0.0 libstdc++-4.9-dev libstdc++6
libtiff5 python3-pkg-resources python3-requests python3-setuptools
python3-urllib3
18 upgraded, 16 newly installed, 0 to remove and 186 not upgraded.
Need to get 32.9 MB of archives.
After this operation, 51.6 MB of additional disk space will be used.
WARNING: The following packages cannot be authenticated!
libssl-dev libssl1.0.0 libblas-common libatlas3-base libblas3 libblas-dev
libatlas-dev libatlas-base-dev python3-setuptools python3-pkg-resources
python3-pyudev python3-urllib3 python3-requests python3-serial
E: There are problems and -y was used without --force-yes
Reading package lists...
Building dependency tree...
Reading state information...
The following package was automatically installed and is no longer required:
linux-headers-3.14.29+
Use 'apt-get autoremove' to remove it.
debconf: unable to initialize frontend: Dialog
debconf: (Dialog frontend will not work on a dumb terminal, an emacs shell buffer, or without a controlling terminal.)
debconf: falling back to frontend: Readline
debconf: unable to initialize frontend: Readline
debconf: (This frontend requires a controlling tty.)
debconf: falling back to frontend: Teletype
dpkg-preconfigure: unable to re-open stdin:
0 upgraded, 0 newly installed, 1 reinstalled, 0 to remove and 204 not upgraded.
Need to get 0 B/97.2 kB of archives.
After this operation, 0 B of additional disk space will be used.
(Reading database ... 
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 66104 files and directories currently installed.)
Preparing to unpack .../python3-pip_1.5.6-5_all.deb ...
Unpacking python3-pip (1.5.6-5) over (1.5.6-5) ...
Processing triggers for man-db (2.7.0.2-5) ...
Setting up python3-pip (1.5.6-5) ...
Requirement already up-to-date: setuptools in /usr/local/lib/python3.4/dist-packages
Cleaning up...
Reading package lists...
Building dependency tree...
Reading state information...
The following packages were automatically installed and are no longer required:
libelfg0 linux-headers-3.14.29+
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
git-man libelf1 libglib2.0-0 libglib2.0-bin
Suggested packages:
gettext-base git-daemon-run git-daemon-sysvinit git-doc git-el git-email
git-gui gitk gitweb git-arch git-cvs git-mediawiki git-svn libglib2.0-doc
The following NEW packages will be installed:
libelf1
The following packages will be upgraded:
git git-man libglib2.0-0 libglib2.0-bin libglib2.0-dev
5 upgraded, 1 newly installed, 0 to remove and 199 not upgraded.
Need to get 12.2 MB of archives.
After this operation, 7,645 kB of additional disk space will be used.
WARNING: The following packages cannot be authenticated!
git git-man libglib2.0-dev libglib2.0-bin libglib2.0-0
E: There are problems and -y was used without --force-yes
Requirement already satisfied (use --upgrade to upgrade): pyudev in /usr/local/lib/python3.4/dist-packages
Requirement already satisfied (use --upgrade to upgrade): six in /usr/lib/python3/dist-packages (from pyudev)
Cleaning up...
Requirement already satisfied (use --upgrade to upgrade): pyserial in /usr/local/lib/python3.4/dist-packages
Cleaning up...
Requirement already satisfied (use --upgrade to upgrade): requests in /usr/lib/python3/dist-packages
Cleaning up...
Downloading/unpacking pybluez
Running setup.py (path:/tmp/pip-build-uarq6yqx/pybluez/setup.py) egg_info for package pybluez
/tmp/pip-build-uarq6yqx/pybluez/setup.py:12: PkgResourcesDeprecationWarning: Parameters to load are deprecated.  Call .resolve and .require separately.
os.getenv('ProgramFiles(x86)'))
warning: no files found matching '*.h' under directory 'osx'
warning: no previously-included files matching '*.pyc' found under directory '*'
warning: no previously-included files matching '*.o' found under directory '*'
warning: no previously-included files matching '*.opp' found under directory '*'
Installing collected packages: pybluez
Running setup.py install for pybluez
building 'bluetooth._bluetooth' extension
aarch64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall -Wstrict-prototypes -g -fstack-protector-strong -Wformat -Werror=format-security -D_FORTIFY_SOURCE=2 -fPIC -I./port3 -I/usr/include/python3.4m -c bluez/btmodule.c -o build/temp.linux-aarch64-3.4/bluez/btmodule.o
In file included from bluez/btmodule.c:20:0:
bluez/btmodule.h:5:33: fatal error: bluetooth/bluetooth.h: No such file or directory
#include <bluetooth/bluetooth.h>
^
compilation terminated.
error: command 'aarch64-linux-gnu-gcc' failed with exit status 1
Complete output from command /usr/bin/python3 -c "import setuptools, tokenize;__file__='/tmp/pip-build-uarq6yqx/pybluez/setup.py';exec(compile(getattr(tokenize, 'open', open)(__file__).read().replace('
', '
'), __file__, 'exec'))" install --record /tmp/pip-6jrjxpb4-record/install-record.txt --single-version-externally-managed --compile:
running install
running build
running build_py
creating build
creating build/lib.linux-aarch64-3.4
creating build/lib.linux-aarch64-3.4/bluetooth
copying bluetooth/__init__.py -> build/lib.linux-aarch64-3.4/bluetooth
copying bluetooth/widcomm.py -> build/lib.linux-aarch64-3.4/bluetooth
copying bluetooth/osx.py -> build/lib.linux-aarch64-3.4/bluetooth
copying bluetooth/msbt.py -> build/lib.linux-aarch64-3.4/bluetooth
copying bluetooth/btcommon.py -> build/lib.linux-aarch64-3.4/bluetooth
copying bluetooth/bluez.py -> build/lib.linux-aarch64-3.4/bluetooth
copying bluetooth/ble.py -> build/lib.linux-aarch64-3.4/bluetooth
running build_ext
building 'bluetooth._bluetooth' extension
creating build/temp.linux-aarch64-3.4
creating build/temp.linux-aarch64-3.4/bluez
aarch64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall -Wstrict-prototypes -g -fstack-protector-strong -Wformat -Werror=format-security -D_FORTIFY_SOURCE=2 -fPIC -I./port3 -I/usr/include/python3.4m -c bluez/btmodule.c -o build/temp.linux-aarch64-3.4/bluez/btmodule.o
In file included from bluez/btmodule.c:20:0:
bluez/btmodule.h:5:33: fatal error: bluetooth/bluetooth.h: No such file or directory
#include <bluetooth/bluetooth.h>
^
compilation terminated.
error: command 'aarch64-linux-gnu-gcc' failed with exit status 1
----------------------------------------
Cleaning up...
Command /usr/bin/python3 -c "import setuptools, tokenize;__file__='/tmp/pip-build-uarq6yqx/pybluez/setup.py';exec(compile(getattr(tokenize, 'open', open)(__file__).read().replace('
', '
'), __file__, 'exec'))" install --record /tmp/pip-6jrjxpb4-record/install-record.txt --single-version-externally-managed --compile failed with error code 1 in /tmp/pip-build-uarq6yqx/pybluez
Storing debug log for failure in /root/.pip/pip.log
Downloading/unpacking pillow
Running setup.py (path:/tmp/pip-build-3t0k8v2f/pillow/setup.py) egg_info for package pillow
/tmp/pip-build-3t0k8v2f/pillow/setup.py:12: PkgResourcesDeprecationWarning: Parameters to load are deprecated.  Call .resolve and .require separately.
import os
Traceback (most recent call last):
File "<string>", line 17, in <module>
File "/tmp/pip-build-3t0k8v2f/pillow/setup.py", line 873, in <module>
zip_safe=not (debug_build() or PLATFORM_MINGW),
File "/usr/local/lib/python3.4/dist-packages/setuptools/__init__.py", line 145, in setup
return distutils.core.setup(**attrs)
File "/usr/lib/python3.4/distutils/core.py", line 148, in setup
dist.run_commands()
File "/usr/lib/python3.4/distutils/dist.py", line 955, in run_commands
self.run_command(cmd)
File "/usr/lib/python3.4/distutils/dist.py", line 974, in run_command
cmd_obj.run()
File "<string>", line 15, in replacement_run
File "/usr/local/lib/python3.4/dist-packages/setuptools/command/egg_info.py", line 303, in find_sources
mm.run()
File "/usr/local/lib/python3.4/dist-packages/setuptools/command/egg_info.py", line 534, in run
self.add_defaults()
File "/usr/local/lib/python3.4/dist-packages/setuptools/command/egg_info.py", line 570, in add_defaults
sdist.add_defaults(self)
File "/usr/local/lib/python3.4/dist-packages/setuptools/command/py36compat.py", line 36, in add_defaults
self._add_defaults_ext()
File "/usr/local/lib/python3.4/dist-packages/setuptools/command/py36compat.py", line 119, in _add_defaults_ext
build_ext = self.get_finalized_command('build_ext')
File "/usr/lib/python3.4/distutils/cmd.py", line 299, in get_finalized_command
cmd_obj.ensure_finalized()
File "/usr/lib/python3.4/distutils/cmd.py", line 107, in ensure_finalized
self.finalize_options()
File "/tmp/pip-build-3t0k8v2f/pillow/setup.py", line 324, in finalize_options
if sys.version_info.major >= 3 and not self.parallel:
File "/usr/lib/python3.4/distutils/cmd.py", line 103, in __getattr__
raise AttributeError(attr)
AttributeError: parallel
Complete output from command python setup.py egg_info:
running egg_info
creating pip-egg-info/Pillow.egg-info
writing dependency_links to pip-egg-info/Pillow.egg-info/dependency_links.txt
writing pip-egg-info/Pillow.egg-info/PKG-INFO
writing top-level names to pip-egg-info/Pillow.egg-info/top_level.txt
writing manifest file 'pip-egg-info/Pillow.egg-info/SOURCES.txt'
/tmp/pip-build-3t0k8v2f/pillow/setup.py:12: PkgResourcesDeprecationWarning: Parameters to load are deprecated.  Call .resolve and .require separately.
import os
Traceback (most recent call last):
File "<string>", line 17, in <module>
File "/tmp/pip-build-3t0k8v2f/pillow/setup.py", line 873, in <module>
zip_safe=not (debug_build() or PLATFORM_MINGW),
File "/usr/local/lib/python3.4/dist-packages/setuptools/__init__.py", line 145, in setup
return distutils.core.setup(**attrs)
File "/usr/lib/python3.4/distutils/core.py", line 148, in setup
dist.run_commands()
File "/usr/lib/python3.4/distutils/dist.py", line 955, in run_commands
self.run_command(cmd)
File "/usr/lib/python3.4/distutils/dist.py", line 974, in run_command
cmd_obj.run()
File "<string>", line 15, in replacement_run
File "/usr/local/lib/python3.4/dist-packages/setuptools/command/egg_info.py", line 303, in find_sources
mm.run()
File "/usr/local/lib/python3.4/dist-packages/setuptools/command/egg_info.py", line 534, in run
self.add_defaults()
File "/usr/local/lib/python3.4/dist-packages/setuptools/command/egg_info.py", line 570, in add_defaults
sdist.add_defaults(self)
File "/usr/local/lib/python3.4/dist-packages/setuptools/command/py36compat.py", line 36, in add_defaults
self._add_defaults_ext()
File "/usr/local/lib/python3.4/dist-packages/setuptools/command/py36compat.py", line 119, in _add_defaults_ext
build_ext = self.get_finalized_command('build_ext')
File "/usr/lib/python3.4/distutils/cmd.py", line 299, in get_finalized_command
cmd_obj.ensure_finalized()
File "/usr/lib/python3.4/distutils/cmd.py", line 107, in ensure_finalized
self.finalize_options()
File "/tmp/pip-build-3t0k8v2f/pillow/setup.py", line 324, in finalize_options
if sys.version_info.major >= 3 and not self.parallel:
File "/usr/lib/python3.4/distutils/cmd.py", line 103, in __getattr__
raise AttributeError(attr)
AttributeError: parallel
----------------------------------------
Cleaning up...
Command python setup.py egg_info failed with error code 1 in /tmp/pip-build-3t0k8v2f/pillow
Storing debug log for failure in /root/.pip/pip.log
Downloading/unpacking numpy
Running setup.py (path:/tmp/pip-build-rqka0wuf/numpy/setup.py) egg_info for package numpy
Traceback (most recent call last):
File "<string>", line 17, in <module>
File "/tmp/pip-build-rqka0wuf/numpy/setup.py", line 31, in <module>
raise RuntimeError("Python version >= 3.5 required.")
RuntimeError: Python version >= 3.5 required.
Complete output from command python setup.py egg_info:
Traceback (most recent call last):
File "<string>", line 17, in <module>
File "/tmp/pip-build-rqka0wuf/numpy/setup.py", line 31, in <module>
raise RuntimeError("Python version >= 3.5 required.")
RuntimeError: Python version >= 3.5 required.
----------------------------------------
Cleaning up...
Command python setup.py egg_info failed with error code 1 in /tmp/pip-build-rqka0wuf/numpy
Storing debug log for failure in /root/.pip/pip.log
Cloning into 'bluepy'...
running build
running build_py
creating build
creating build/lib
creating build/lib/bluepy
copying bluepy/thingy52.py -> build/lib/bluepy
copying bluepy/sensortag.py -> build/lib/bluepy
copying bluepy/scanner.py -> build/lib/bluepy
copying bluepy/scan_fuzz.py -> build/lib/bluepy
copying bluepy/get_services.py -> build/lib/bluepy
copying bluepy/btle.py -> build/lib/bluepy
copying bluepy/blescan.py -> build/lib/bluepy
copying bluepy/__init__.py -> build/lib/bluepy
copying bluepy/uuids.json -> build/lib/bluepy
copying bluepy/bluez-src.tgz -> build/lib/bluepy
copying bluepy/bluepy-helper.c -> build/lib/bluepy
copying bluepy/Makefile -> build/lib/bluepy
running install
Working dir is /tmp/bluepy
execute make -C ./bluepy clean
execute make -C bluepy -j1
running build
running build_py
copying bluepy/bluepy-helper -> build/lib/bluepy
running install_lib
copying build/lib/bluepy/bluepy-helper -> /usr/local/lib/python3.4/dist-packages/bluepy
copying build/lib/bluepy/Makefile -> /usr/local/lib/python3.4/dist-packages/bluepy
copying build/lib/bluepy/bluepy-helper.c -> /usr/local/lib/python3.4/dist-packages/bluepy
copying build/lib/bluepy/bluez-src.tgz -> /usr/local/lib/python3.4/dist-packages/bluepy
copying build/lib/bluepy/uuids.json -> /usr/local/lib/python3.4/dist-packages/bluepy
copying build/lib/bluepy/__init__.py -> /usr/local/lib/python3.4/dist-packages/bluepy
copying build/lib/bluepy/blescan.py -> /usr/local/lib/python3.4/dist-packages/bluepy
copying build/lib/bluepy/btle.py -> /usr/local/lib/python3.4/dist-packages/bluepy
copying build/lib/bluepy/get_services.py -> /usr/local/lib/python3.4/dist-packages/bluepy
copying build/lib/bluepy/scan_fuzz.py -> /usr/local/lib/python3.4/dist-packages/bluepy
copying build/lib/bluepy/scanner.py -> /usr/local/lib/python3.4/dist-packages/bluepy
copying build/lib/bluepy/sensortag.py -> /usr/local/lib/python3.4/dist-packages/bluepy
copying build/lib/bluepy/thingy52.py -> /usr/local/lib/python3.4/dist-packages/bluepy
byte-compiling /usr/local/lib/python3.4/dist-packages/bluepy/__init__.py to __init__.cpython-34.pyc
byte-compiling /usr/local/lib/python3.4/dist-packages/bluepy/blescan.py to blescan.cpython-34.pyc
byte-compiling /usr/local/lib/python3.4/dist-packages/bluepy/btle.py to btle.cpython-34.pyc
byte-compiling /usr/local/lib/python3.4/dist-packages/bluepy/get_services.py to get_services.cpython-34.pyc
byte-compiling /usr/local/lib/python3.4/dist-packages/bluepy/scan_fuzz.py to scan_fuzz.cpython-34.pyc
byte-compiling /usr/local/lib/python3.4/dist-packages/bluepy/scanner.py to scanner.cpython-34.pyc
byte-compiling /usr/local/lib/python3.4/dist-packages/bluepy/sensortag.py to sensortag.cpython-34.pyc
byte-compiling /usr/local/lib/python3.4/dist-packages/bluepy/thingy52.py to thingy52.cpython-34.pyc
running install_egg_info
running egg_info
creating bluepy.egg-info
writing top-level names to bluepy.egg-info/top_level.txt
writing bluepy.egg-info/PKG-INFO
writing dependency_links to bluepy.egg-info/dependency_links.txt
writing entry points to bluepy.egg-info/entry_points.txt
writing manifest file 'bluepy.egg-info/SOURCES.txt'
reading manifest file 'bluepy.egg-info/SOURCES.txt'
writing manifest file 'bluepy.egg-info/SOURCES.txt'
removing '/usr/local/lib/python3.4/dist-packages/bluepy-1.1.4-py3.4.egg-info' (and everything under it)
Copying bluepy.egg-info to /usr/local/lib/python3.4/dist-packages/bluepy-1.1.4-py3.4.egg-info
running install_scripts
Installing thingy52 script to /usr/local/bin
Installing sensortag script to /usr/local/bin
Installing blescan script to /usr/local/bin
Requirement already satisfied (use --upgrade to upgrade): cryptography in /usr/local/lib/python3.4/dist-packages
Requirement already satisfied (use --upgrade to upgrade): asn1crypto>=0.21.0 in /usr/local/lib/python3.4/dist-packages (from cryptography)
Requirement already satisfied (use --upgrade to upgrade): six>=1.4.1 in /usr/lib/python3/dist-packages (from cryptography)
Requirement already satisfied (use --upgrade to upgrade): cffi!=1.11.3,>=1.8 in /usr/local/lib/python3.4/dist-packages (from cryptography)
Requirement already satisfied (use --upgrade to upgrade): pycparser in /usr/local/lib/python3.4/dist-packages (from cffi!=1.11.3,>=1.8->cryptography)
Cleaning up...
Requirement already satisfied (use --upgrade to upgrade): pycrypto in /usr/local/lib/python3.4/dist-packages
Cleaning up...
********************************************************
*			 Installation terminée					*
********************************************************
Et enfin concernant "blea_rpi3b+ocotpi_dependancy" le log est vide
Stéphane

Mips2648
Actif
Messages : 932
Inscription : 08 sept. 2018, 17:09

Re: Antenne BLEA sur RPI3B+ Octopi

Message par Mips2648 » 02 sept. 2019, 16:09

Ok donc tu es bien sous jessie pour ton jeedom de base (ce que je suspectais).
Il va falloir passer à stretch, BLEA (sur jeedom ou sur antenne) doit tourner sur stretch à présent.
Pour une VM ou un PI, si jeedom tourne dessus fait un backup, re-install stretch, jeedom et restaure ton backup; si juste une antenne, tu effaces tout et tu recommences.
Pour la smart, il y a la "migration facile" ou le "recovery mode", plein de sujet sur le forum à ce propos.
Développeur et auteur des plugins suivants, (entre autre Arlo, Solaredge, Design Image, Gotify...) et aidant sur plein d'autres!

Si vous voulez contribuer, un don fait toujours plaisir : https://paypal.me/mips2648

stefane26
Timide
Messages : 108
Inscription : 18 sept. 2017, 14:25
Localisation : Montélimar

Re: Antenne BLEA sur RPI3B+ Octopi

Message par stefane26 » 02 sept. 2019, 16:19

Ok, j'ai confondu Jessie (Debian 8) avec Buster. J'ai lu sur le forum qu'il ne fallait pas passer sur Buster car certains plugin ne fonctionneraient pas.
Mon Jeedom sous lequel tourne BLEA est bien sur une box Smart, et je n'ai jamais fait de mise à jour du système.
Je vais regarder pour faire une migration.
Merci

Naboleo
Actif
Messages : 746
Inscription : 20 janv. 2017, 09:57

Re: Antenne BLEA sur RPI3B+ Octopi

Message par Naboleo » 02 sept. 2019, 18:08

Salut,

En fait, il ne faut pas confondre la version de l'os de la box et celle de l'antenne

Il y a moyen d'avoir une antenne sous buster avec octoprint mais il faut bricoler un peu avec git:
  • Installer le PI avec l'image Octoprint buster ci-dessous : https://community.octoprint.org/t/raspb ... ut/10332/8
  • Ensuite configurer l'antenne (ip, port, compte (pi) , mot de passe, device etc).... depuis jeedom
  • Se connecter à l'antenne en ssh et lancer la commande : sudo rm /root/bin/git et redémarrer l'antenne. C'est la partie bidouille!
  • Et seulement ensuite : Envoyer les fichiers et installer les dépendances depuis jeedom
On peut suivre l'installation depuis jeedom et/ou l'antenne, en ssh, les fichiers sont situés dans /tmp
Pi4/4Go +SSD 32Go (Wifi et bluetooth actifs) + Clé USB Z-Wave Everspring + rfxcom (RTS) + Google Home
7 Danfoss LC-13
2 velux module DIO
7 volets RTS
3 Sonoff
IFTTT
Capteur porte, de présence, et prise intelligente...

stefane26
Timide
Messages : 108
Inscription : 18 sept. 2017, 14:25
Localisation : Montélimar

Re: Antenne BLEA sur RPI3B+ Octopi

Message par stefane26 » 02 sept. 2019, 19:15

Merci Naboleo pour l'astuce.
Par contre, mon octopi est actuellement sous stretch et non juste.
Est ce que la manip est la même ?
Merci

Naboleo
Actif
Messages : 746
Inscription : 20 janv. 2017, 09:57

Re: Antenne BLEA sur RPI3B+ Octopi

Message par Naboleo » 02 sept. 2019, 19:34

stefane26 a écrit :
02 sept. 2019, 19:15
Merci Naboleo pour l'astuce.
Par contre, mon octopi est actuellement sous stretch et non juste.
Est ce que la manip est la même ?
Merci
Oui tu peux essayer, de toute façon ça ne peut pas être pire.
J'avais migré de stretch vers buster puis tenté d'installer une antenne mais là ça ne fonctionne pas bien du tout (souci de packages à gogo)
La config octoprint est tellement basique dans mon cas, que je suis reparti de 0
Pi4/4Go +SSD 32Go (Wifi et bluetooth actifs) + Clé USB Z-Wave Everspring + rfxcom (RTS) + Google Home
7 Danfoss LC-13
2 velux module DIO
7 volets RTS
3 Sonoff
IFTTT
Capteur porte, de présence, et prise intelligente...

Mips2648
Actif
Messages : 932
Inscription : 08 sept. 2018, 17:09

Re: Antenne BLEA sur RPI3B+ Octopi

Message par Mips2648 » 02 sept. 2019, 20:45

stefane26 a écrit :
02 sept. 2019, 19:15
Merci Naboleo pour l'astuce.
Par contre, mon octopi est actuellement sous stretch et non juste.
Est ce que la manip est la même ?
Merci
Si ton pi pour octopi / antenne blea est sous stretch, c'est ok, tu n'as pas besoin de passer sous buster ;-)
Développeur et auteur des plugins suivants, (entre autre Arlo, Solaredge, Design Image, Gotify...) et aidant sur plein d'autres!

Si vous voulez contribuer, un don fait toujours plaisir : https://paypal.me/mips2648

stefane26
Timide
Messages : 108
Inscription : 18 sept. 2017, 14:25
Localisation : Montélimar

Re: Antenne BLEA sur RPI3B+ Octopi

Message par stefane26 » 02 sept. 2019, 21:15

Je viens de faire ta manip : ca fonctionne.
Reste plus qu'a passer l'antenne principale sous stretch. Problème : je suis en déplacement et il faut inserer une clé USB.
Alors ca va attendre samedi
Merci à vous tous
Stéphane

Répondre

Revenir vers « [Plugin Officiel] BLEA »

Qui est en ligne ?

Utilisateurs parcourant ce forum : Aucun utilisateur inscrit et 8 invités